Mac OS 12.2 and Illustrator

New Here ,
Feb 03, 2022 Feb 03, 2022

Copy link to clipboard

Copied

What is the oldest version of Illustrator which will run on Mac OS 12.2 Monterey?

TOPICS
Draw and design , How to , Performance , SDK

Views

40

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Apr 19, 2022 Apr 19, 2022

Copy link to clipboard

Copied

LATEST

Hello @Michael Csonka,

 

Thanks for reaching out. Illustrator v25.4.5, v26, and above are compatible with macOS 12 Monterey.

It is recommended to install the latest version of Illustrator and the OS for optimal performance.

Older versions can be installed, however, their functionality/stability may suffer.

 

I hope it helps.

 

Thanks,

Anubhav

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines